unit Scroll1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    ScrollBar1: TScrollBar;
    ScrollBar2: TScrollBar;
    Panel1: TPanel;
    Panel2: TPanel;
    procedure ScrollBar1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ScrollBar2Change(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ScrollBar1Change(Sender: TObject);
begin
  Panel1.Caption := IntToStr(ScrollBar1.Position);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ScrollBar1.Min := 0;
  ScrollBar2.Min := 0;
  ScrollBar1.Max := 100;
  ScrollBar2.Max := 100;
  Panel1.Caption := '0';
  Panel2.Caption := '100';
end;

procedure TForm1.ScrollBar2Change(Sender: TObject);
begin
  Panel2.Caption := IntToStr(100-ScrollBar2.Position);
end;

end.
